%define name Xdu
%define version 2.1
%define release 3mdk

Summary:	Graphical Disk Usage
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Monitoring
Source:		xdu.tar.bz2
URL:		http://www-imagis.imag.fr/Membres/Gilles.Debunne/CODE/XDU/
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
A disk usage with a graphical front-end based on Trolltech QT.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n xdu-%version

%build
export QTDIR=%_libdir/qt3
export PATH=${PATH}:${QTDIR}/bin/
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${QTDIR}/lib
qmake xdu.pro
%make

%install
%{__install} -d $RPM_BUILD_ROOT%{_bindir}
%{__install} xdu $RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/xdu"\
icon="monitoring_section.png"\
title="Xdu"\
longtitle="Graphical Disk Usage"\
needs="x11"\
section="Applications/Monitoring"
EOF
)

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENCE README
%{_bindir}/xdu
%_menudir/%name

%changelog
* Mon Oct 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1-3mdk
- rename spec as %%name.spec
- use %%_libdir to find qt dir
- use %%make

* Thu Oct 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1-2mdk
- from Gilles Debunne <Gilles.Debunne@imag.fr> :
	- Bug with directories larger than 2Gb fixed.

* Wed Sep 24 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 2.1-1
- Parent directory can be scanned. Delete across file system fixed. Faster.

* Tue Sep 2 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 2.0-2
- Undo bug fixed. Fall back on system command when Qt fails

* Tue Sep 2 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 2.0-1
- Selection, deletion, move, rename, help, undo, menu and more

* Thu Jan 30 2003 Gilles Debunne <Gilles.Debunne@imag.fr> 1.1-2
- Large file bug fixed (thanks JG), update button, and qt threaded version

* Wed Oct 9 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.1-1
- Large file bug fixed (thanks JG), update button, and qt threaded version

* Thu Jul 11 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.0-2
- Added the path argument and the progress bar.

* Mon Jun 24 2002 Gilles Debunne <Gilles.Debunne@imag.fr> 1.0-1
- First rpm release 

